package org.josast.ApplicationSatelliteDatabaseCli.cmd;

import java.util.logging.Logger;

import org.josast.ModuleSatelliteDatabase.CheckAmsatListFile;

public class CheckCmd implements Cmd {

    /**
     * logger.
     */
    private Logger log = Logger.getLogger(getClass().getName());

    /**
     *
     */
    @Override
    public void excute() {
        log.info(CheckCmd.class.getName());
        ParameterSingleton parameter = ParameterSingleton.getInstance();
        if (parameter.getInputFile() != null) {

            CheckAmsatListFile check = new CheckAmsatListFile(
                    parameter.getInputFile());
            System.out.println("Multiple Name");
            System.out.println(check.checkUniqueSatelliteName());
            System.out.println("Multiple Nasa ID");
            System.out.println(check.checkUniqueSatelliteNasaID());
        } else {
            System.out.println("Input filename not set");
        }

    }

}
